Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.request
Class MultipartRequestParser

    java.lang.Object
      org.richfaces.request.MultipartRequestParser

    public final class MultipartRequestParser

extends Object

Author:
  Nick Belaevski

Constructor Summary
`MultipartRequestParser(javax.servlet.http.HttpServletRequest request, boolean createTempFiles, String tempFilesDirectory, ProgressControl progressControl)`

Method Summary
`com.google.common.collect.Multimap<String,String>` | `getParameters()`
`Iterable<org.richfaces.model.UploadedFile>` | `getUploadedFiles()`
`void` | `parse()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultipartRequestParser

    public MultipartRequestParser(javax.servlet.http.HttpServletRequest request,
                                  boolean createTempFiles,
                                  String tempFilesDirectory,
                                  ProgressControl progressControl)

Parameters:
  `request` -
  `createTempFiles` -
  `tempFilesDirectory` -
  `uploadId` -

Method Detail

### getParameters

    public com.google.common.collect.Multimap<String,String> getParameters()

### getUploadedFiles

    public Iterable<org.richfaces.model.UploadedFile> getUploadedFiles()

### parse

    public void parse()
               throws org.richfaces.exception.FileUploadException

  Throws:
    `org.richfaces.exception.FileUploadException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.